package com.ruoyi.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 设备管理对象 equipment_manage
 * 
 * @author boman
 * @date 2025-05-07
 */
public class EquipmentManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备ID */
    private Long equipmentId;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String equipmentNum;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String equipmentName;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String equipmentType;

    /** 设备地址 */
    @Excel(name = "设备地址")
    private String equipmentAddress;

    /** 设备区域 */
    @Excel(name = "设备区域")
    private String equipmentRegion;

    /** 安装时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "安装时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date equipmentTime;

    /** 设备图片 */
    @Excel(name = "设备图片")
    private String equipmentImage;

    /** 运行状态 0代表运行 1代表停止） */
    @Excel(name = "运行状态 0代表运行 1代表停止）")
    private String runState;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setEquipmentId(Long equipmentId) 
    {
        this.equipmentId = equipmentId;
    }

    public Long getEquipmentId() 
    {
        return equipmentId;
    }

    public void setEquipmentNum(String equipmentNum) 
    {
        this.equipmentNum = equipmentNum;
    }

    public String getEquipmentNum() 
    {
        return equipmentNum;
    }

    public void setEquipmentName(String equipmentName) 
    {
        this.equipmentName = equipmentName;
    }

    public String getEquipmentName() 
    {
        return equipmentName;
    }

    public void setEquipmentType(String equipmentType) 
    {
        this.equipmentType = equipmentType;
    }

    public String getEquipmentType() 
    {
        return equipmentType;
    }

    public void setEquipmentAddress(String equipmentAddress) 
    {
        this.equipmentAddress = equipmentAddress;
    }

    public String getEquipmentAddress() 
    {
        return equipmentAddress;
    }

    public void setEquipmentRegion(String equipmentRegion) 
    {
        this.equipmentRegion = equipmentRegion;
    }

    public String getEquipmentRegion() 
    {
        return equipmentRegion;
    }

    public void setEquipmentTime(Date equipmentTime) 
    {
        this.equipmentTime = equipmentTime;
    }

    public Date getEquipmentTime() 
    {
        return equipmentTime;
    }

    public void setEquipmentImage(String equipmentImage) 
    {
        this.equipmentImage = equipmentImage;
    }

    public String getEquipmentImage() 
    {
        return equipmentImage;
    }

    public void setRunState(String runState) 
    {
        this.runState = runState;
    }

    public String getRunState() 
    {
        return runState;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("equipmentId", getEquipmentId())
            .append("equipmentNum", getEquipmentNum())
            .append("equipmentName", getEquipmentName())
            .append("equipmentType", getEquipmentType())
            .append("equipmentAddress", getEquipmentAddress())
            .append("equipmentRegion", getEquipmentRegion())
            .append("equipmentTime", getEquipmentTime())
            .append("equipmentImage", getEquipmentImage())
            .append("runState", getRunState())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
